Bug 577019 - (CVE-2010-1104) CVE-2010-1104 zope: XSS on error page
CVE-2010-1104 zope: XSS on error page
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
impact=moderate,public=20100113,repor...
: Security
Depends On: 767295
Blocks: 742493
  Show dependency treegraph
 
Reported: 2010-03-25 17:11 EDT by Vincent Danen
Modified: 2016-03-04 06:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-21 04:07:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-03-25 17:11:22 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-1104 to
the following vulnerability:

Name: CVE-2010-1104
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-1104
Assigned: 20100325
Reference: MLIST:[zope-announce] 20100112 New Zope2 releases available
Reference:
URL: https://mail.zope.org/pipermail/zope-announce/2010-January/002229.html
Reference: BID:37765
Reference: URL: http://www.securityfocus.com/bid/37765
Reference: OSVDB:61655
Reference: URL: http://www.osvdb.org/61655
Reference: SECUNIA:38007
Reference: URL: http://secunia.com/advisories/38007
Reference: VUPEN:ADV-2010-0104
Reference: URL: http://www.vupen.com/english/advisories/2010/0104
Reference: XF:zope-standarderrormessage-xss(55599)
Reference: URL: http://xforce.iss.net/xforce/xfdb/55599

Cross-site scripting (XSS) vulnerability in Zope 2.8.x before 2.8.12,
2.9.x before 2.9.12, 2.10.x before 2.10.11, 2.11.x before 2.11.6, and
2.12.x before 2.12.3 allows remote attackers to inject arbitrary web
script or HTML via vectors related to error messages.

A patch to correct this is available here:

http://launchpadlibrarian.net/37708066/patch-491224.txt

The SimpleItem.py file can be found in the luci rpm package, built from conga, on Red Hat Enterprise Linux 5.
Comment 1 Vincent Danen 2010-03-25 17:12:03 EDT
I should have also noted the upstream bug report:

https://bugs.launchpad.net/zope2/+bug/491224
Comment 2 Vincent Danen 2010-04-06 20:00:43 EDT
We also have Zope in EPEL5 (2.10.9) which would be vulnerable to this issue and should receive an update for it.
Comment 3 Josh Bressers 2011-07-21 14:21:00 EDT
Statement:

(none)
Comment 6 errata-xmlrpc 2012-02-20 22:16:08 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0151 https://rhn.redhat.com/errata/RHSA-2012-0151.html

Note You need to log in before you can comment on or make changes to this bug.